name: USB-B-3
description: USB 3.0, type B
# they all have a similar footprint
datasheet: http://www.amphenol-icc.com/media/wysiwyg/files/drawing/gsb4211xxxweu.pdf
keywords: connector, USB
distributor: LCSC C105423, LCSC C2895032

pinout:
  USB:
    VBUS: 1
    D-: 2
    D+: 3
    GND: 4
  USB3.0:
    SSTX-: 5
    SSTX+: 6
    GND_DRAIN: 7
    SSRX-: 8
    SSRX+: 9
  SHIELD: 10, 11

properties:
  power: VBUS
  ground: GND, GND_DRAIN
  bidir: D-, D+
  in: SSRX-, SSRX+
  out: SSTX-, SSTX+
  passive: SHIELD

schematic:
  symbol: connector
  right: USB, USB3.0
  bottom: SHIELD

housing:
  pattern: custom
  bodyWidth: 12.00
  bodyLength: 18.35
  bodyPosition: 0, 1.125 # use mounting holes as center (10.3 - 18.35 / 2)
  height: 12.90
  silkscreen: M -6.02 2.625 6.02 2.625 # PCB edge (3.75 - 1.125)

  # USB 2.0 pins
  holeDiameter: 0.92
  padPosition: 1.25, -4.71, -1.25, -4.71, -1.25, -2.71, 1.25, -2.71

  # USB 3.0 pins
  holeDiameter1: 0.70
  padPosition1: -4.25, -6.71, -2.5, -6.71, 0, -6.71, 2.5, -6.71, 4.25, -6.71

  # shell/shield mounting holes
  holeDiameter2: 2.3
  padPosition2: -6.02, 0, 6.02, 0

